Kirjoittaja Aihe: Ubuntu 18.04 - Päivitys ei onnistu [RATKAISTU]  (Luettu 985 kertaa)

tamrock

  • Käyttäjä
  • Viestejä: 143
  • Zervuska haidis
    • Profiili
Hei,

Mikähän olisi avuksi kun ubuntun päivitys/ohjelmien asennus stoppaa virheilmoitukseen?

Koodia: [Valitse]
sudo apt upgrade
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Halunnet suorittaa "apt --fix-broken install" korjaamaan nämä.
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 python3.9 : Riippuvuudet: libpython3.9-stdlib (= 3.9.12-1+bionic2) mutta 3.9.12-1+bionic1 on asennettu
 python3.9-minimal : Riippuvuudet: libpython3.9-minimal (= 3.9.12-1+bionic2) mutta 3.9.12-1+bionic1 on asennettu
E: Kaikkia riippuvuuksia ei ole tyydytetty. Kokeile "apt --fix-broken install" ilmanpaketteja (tai ratkaise itse).

Olen kokeillut sen jälkeen seuraavaa:

Koodia: [Valitse]
sudo apt --fix-broken install
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Korjataan riippuvuuksia... Valmis
Seuraavat paketit on alun perin asennettu automaattisesti, eikä niitä enää tarvita:
  linux-hwe-5.4-headers-5.4.0-100 linux-hwe-5.4-headers-5.4.0-104 linux-hwe-5.4-headers-5.4.0-105 linux-hwe-5.4-headers-5.4.0-91
  linux-hwe-5.4-headers-5.4.0-92 linux-hwe-5.4-headers-5.4.0-94 linux-hwe-5.4-headers-5.4.0-96 linux-hwe-5.4-headers-5.4.0-97
  linux-hwe-5.4-headers-5.4.0-99
Suorita 'sudo apt autoremove' poistaaksesi ne.
Seuraavat lisäpaketit asennetaan:
  libpython3.9-minimal libpython3.9-stdlib
Nämä paketit päivitetään:
  libpython3.9-minimal libpython3.9-stdlib
2 päivitetty, 0 uutta asennusta, 0 poistettavaa ja 19 päivittämätöntä.
20 ei asennettu kokonaan tai poistettiin.
Noudettavaa arkistoa 0 t/2 483 kt.
Toiminnon jälkeen käytetään 17,4 k t lisää levytilaa.
Haluatko jatkaa? [K/e] k
(Luetaan tietokantaa... 446415 tiedostoa ja hakemistoa asennettu tällä hetkellä.)
Valmistaudutaan purkamaan .../libpython3.9-stdlib_3.9.12-1+bionic2_amd64.deb ...
Puretaan libpython3.9-stdlib:amd64 (3.9.12-1+bionic2) version (3.9.12-1+bionic1) päälle...
dpkg: error processing archive /var/cache/apt/archives/libpython3.9-stdlib_3.9.12-1+bionic2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/python3.9/_sysconfigdata__linux_x86_64-linux-gnu.py', which is also in package libpython3.9-minimal:amd64 3.9.12-1+bionic1
Valmistaudutaan purkamaan .../libpython3.9-minimal_3.9.12-1+bionic2_amd64.deb ...
Puretaan libpython3.9-minimal:amd64 (3.9.12-1+bionic2) version (3.9.12-1+bionic1) päälle...
dpkg: error processing archive /var/cache/apt/archives/libpython3.9-minimal_3.9.12-1+bionic2_amd64.deb (--unpack):
 trying to overwrite '/usr/lib/python3.9/typing.py', which is also in package libpython3.9-stdlib:amd64 3.9.12-1+bionic1
dpkg-deb: virhe: paste subprocess was killed by signal (Katkennut putki)
Käsittelyssä tapahtui liian monta virhettä:
 /var/cache/apt/archives/libpython3.9-stdlib_3.9.12-1+bionic2_amd64.deb
 /var/cache/apt/archives/libpython3.9-minimal_3.9.12-1+bionic2_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)

Osaako kukaan neuvoa mitä konstia kannattaisi kokeilla?
« Viimeksi muokattu: 07.05.22 - klo:09.29 kirjoittanut tamrock »

Outolintu

  • Käyttäjä
  • Viestejä: 171
    • Profiili
Vs: Ubuntu 18.04 - Päivitys ei onnistu
« Vastaus #1 : 07.05.22 - klo:08.23 »
Testaas sudo apt dist-upgrade

Tämä on joskus korjannut vastaavan ongelman.
Numbat

tamrock

  • Käyttäjä
  • Viestejä: 143
  • Zervuska haidis
    • Profiili
Vs: Ubuntu 18.04 - Päivitys ei onnistu
« Vastaus #2 : 07.05.22 - klo:08.29 »
Koodia: [Valitse]
sudo apt dist-upgrade
Luetaan pakettiluetteloita... Valmis
Muodostetaan riippuvuussuhteiden puu       
Luetaan tilatiedot... Valmis       
Halunnet suorittaa "apt --fix-broken install" korjaamaan nämä.
Näillä paketeilla on tyydyttämättömiä riippuvuuksia:
 python3.9 : Riippuvuudet: libpython3.9-stdlib (= 3.9.12-1+bionic2) mutta 3.9.12-1+bionic1 on asennettu
 python3.9-minimal : Riippuvuudet: libpython3.9-minimal (= 3.9.12-1+bionic2) mutta 3.9.12-1+bionic1 on asennettu
E: Kaikkia riippuvuuksia ei ole tyydytetty. Kokeile "apt --fix-broken install" ilmanpaketteja (tai ratkaise itse).

Ei apua...

tamrock

  • Käyttäjä
  • Viestejä: 143
  • Zervuska haidis
    • Profiili
Vs: Ubuntu 18.04 - Päivitys ei onnistu
« Vastaus #3 : 07.05.22 - klo:09.17 »
Alkuperäisenä lähteenä oli Pääpalvelin. Kokeilin vaihtaa Suomi-palvelimen mutta ei ollut siitäkään apua.

nm

  • Käyttäjä
  • Viestejä: 16292
    • Profiili
Vs: Ubuntu 18.04 - Päivitys ei onnistu
« Vastaus #4 : 07.05.22 - klo:09.17 »
Johtunee deadsnakes-PPA:sta asennetusta Pythonista ja sen sisäisestä pakettien ristiriidasta. Yksi ratkaisu voisi olla deadsnakes-lähteen ja sieltä asennettujen pakettien poisto tähän tapaan:

https://askubuntu.com/a/1341967

Kun vika on ratkaistu, voit yrittää asentaa Python 3.9:n uudelleen samasta lähteestä.

tamrock

  • Käyttäjä
  • Viestejä: 143
  • Zervuska haidis
    • Profiili
Vs: Ubuntu 18.04 - Päivitys ei onnistu
« Vastaus #5 : 07.05.22 - klo:09.28 »
Sieltä se apu löytyi.

Alla olevilla loitsuilla ongelma korjautui ja päivytysten asennus onnistui.
Kiitos nopeasta avusta!

Koodia: [Valitse]
sudo dpkg -i --force-all /var/cache/apt/archives/libpython3.9-stdlib_3.9.12-1+bionic2_amd64.deb
sudo dpkg -i --force-all /var/cache/apt/archives/libpython3.9-minimal_3.9.12-1+bionic2_amd64.deb
sudo apt-get update -y && sudo apt-get install --fix-broken